curl --request POST \
--url https://api.goenhance.ai/api/v1/videofaceswap/generate \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"reference_video": "https://cdn.goenhance.ai/images/static/demo/face-swap-1.mp4",
"reference_img": "https://cdn.goenhance.ai/images/static/demo/face-swap-1.jpg",
"upscaler": 1,
"start_time": 0,
"end_time": 5,
"enhance_face": false
}
'import requests
url = "https://api.goenhance.ai/api/v1/videofaceswap/generate"
payload = {
"reference_video": "https://cdn.goenhance.ai/images/static/demo/face-swap-1.mp4",
"reference_img": "https://cdn.goenhance.ai/images/static/demo/face-swap-1.jpg",
"upscaler": 1,
"start_time": 0,
"end_time": 5,
"enhance_face": False
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reference_video: 'https://cdn.goenhance.ai/images/static/demo/face-swap-1.mp4',
reference_img: 'https://cdn.goenhance.ai/images/static/demo/face-swap-1.jpg',
upscaler: 1,
start_time: 0,
end_time: 5,
enhance_face: false
})
};
fetch('https://api.goenhance.ai/api/v1/videofaceswap/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"msg": "Success",
"data": {
"img_uuid": "c12b656c-747a-44fd-9c80-add79b0c52d5"
}
}{
"code": 401,
"msg": "Token Error"
}{
"code": 500,
"msg": ""
}Video Face Swap API
Transform videos with cinematic-quality face swaps using our advanced AI technology. Integrate seamless face replacement for professional content creation applications.
Headers
Body
target video, Max 200M
target image, Max 5M
Convert video resolution, 1 -> 720p, 2-> 1080p (1.5x price)
1, 2 The start time of the conversion (in seconds)
0 <= x <= 120Conversion end time (in seconds)
0 <= x <= 120enable (1.5x price)
Optional. A publicly accessible HTTPS URL. When the task status changes (processing / success / failed), GoEnhance sends a POST request to this URL. The request body is identical to the response of GET /api/v1/jobs/detail. If your server does not respond with HTTP 200, the notification is retried up to 3 times, with a 3-second timeout per attempt.
"https://your-server.com/goenhance/callback"
